
From: Shane Shrybman <shrybman@sympatico.ca>

Attached are two patches that make bttv compile and work in 2.5.69-mm6.  I
think this broke in -mm4.  The patches are probably not correct, but they
work for me.



 drivers/media/video/tda9887.c |    8 +++++---
 drivers/media/video/tuner.c   |    8 +++++---
 2 files changed, 10 insertions(+), 6 deletions(-)

diff -puN drivers/media/video/tda9887.c~bttv-compile-fix drivers/media/video/tda9887.c
--- 25/drivers/media/video/tda9887.c~bttv-compile-fix	2003-05-17 14:09:47.000000000 -0700
+++ 25-akpm/drivers/media/video/tda9887.c	2003-05-17 14:09:47.000000000 -0700
@@ -439,9 +439,11 @@ static struct i2c_driver driver = {
 };
 static struct i2c_client client_template =
 {
-        .dev.name  = "tda9887",
-	.flags     = I2C_CLIENT_ALLOW_USE,
-        .driver    = &driver,
+	.flags  = I2C_CLIENT_ALLOW_USE,
+        .driver = &driver,
+        .dev	= {
+		.name	= "tda9887",
+	},
 };
 
 static int tda9887_init_module(void)
diff -puN drivers/media/video/tuner.c~bttv-compile-fix drivers/media/video/tuner.c
--- 25/drivers/media/video/tuner.c~bttv-compile-fix	2003-05-17 14:09:47.000000000 -0700
+++ 25-akpm/drivers/media/video/tuner.c	2003-05-17 14:09:47.000000000 -0700
@@ -960,9 +960,11 @@ static struct i2c_driver driver = {
 };
 static struct i2c_client client_template =
 {
-        .dev.name   = "(tuner unset)",
-	.flags      = I2C_CLIENT_ALLOW_USE,
-        .driver     = &driver,
+	.flags  = I2C_CLIENT_ALLOW_USE,
+	.driver = &driver,
+	.dev  = {
+		.name   = "(tuner unset)",
+	},
 };
 
 static int tuner_init_module(void)

_
